From 15a9b0766c09f4081ea34968bf6d1b80441632e2 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 04 2020 20:50:25 +0000
Subject: [PATCH 1657/2232] Merge pull request #540 from dtolnay/debug-cxxvector


Add Debug impl for CxxVector<T>
---

diff --git a/src/cxx_vector.rs b/src/cxx_vector.rs
index b8de942..037fe6a 100644
--- a/src/cxx_vector.rs
+++ b/src/cxx_vector.rs
@@ -2,7 +2,7 @@ use crate::cxx_string::CxxString;
 use crate::extern_type::ExternType;
 use crate::kind::Trivial;
 use core::ffi::c_void;
-use core::fmt::{self, Display};
+use core::fmt::{self, Debug, Display};
 use core::marker::{PhantomData, PhantomPinned};
 use core::mem;
 use core::ptr;
@@ -124,6 +124,15 @@ where
     }
 }
 
+impl<T> Debug for CxxVector<T>
+where
+    T: VectorElement + Debug,
+{
+    fn fmt(&self, formatter: &mut fmt::Formatter) -> fmt::Result {
+        formatter.debug_list().entries(self).finish()
+    }
+}
+
 pub struct TypeName<T> {
     element: PhantomData<T>,
 }

